
# Rapla2Kustom

Get your DHBW curriculum directly on your homescreen.


Installation:

Download the latest release from [here](https://tea.filefighter.de/qvalentin/Rapla2Kustom/releases)


Get KWLP or KWGT:

To show the information on the homescreen you can either use KWLP (to have a customizable live wallpaper that you can theme amazingly) 
or KWGT if you just want to have a single widget for this information.

Download the choosen app from [here](https://help.kustom.rocks/s1-general/knowledgebase/c9-downloads) or from the play store (may need a payment): [KWLP](https://play.google.com/store/apps/details?id=org.kustom.wallpaper&hl=en&gl=US), [KWGT](https://play.google.com/store/apps/details?id=org.kustom.widget&hl=en&gl=US).

This example will show you how to setup the curriculum with KWGT, for KWLP the process is very similar.


1. Add a widget of KWGT to you launchers homescreen. 
2. Click on this widget to go to KWGT.
3. Click on create to start editing the widget.
4. Add a text object.
5. Click on it and on the text value (where the current time is for now.)
6. Paste the following text into the app, replacing `$df(hh:mm)$`


```
$tc(reg,tc(reg,br(qvalentin, rapla),df(dd/MM/yyyy),"[u]"+df(dd/MM/yyyy)+"[/u]"),"\[c=.*c\].*("+fl(1, 5, "i + 1", "df(dd/MM, r + i + d)" , "| ")+").*\n","")$
```




7. You can style the text and the background whoever you like.

8. Save the widget.


8. Go to the Rapla2Kustom app
9. Change the "Force a refresh" toggle to true.
10. Click on "Sync now".
11. The info shoud be shown on the widget now.
12. Adjust the courses you want to ignore (who likes BWL anyway?) by adding them to the comma seperated list.
13. When everything is working you can set "Force a refresh" to false again.

