package de.qvalentin.rapla2kustom.ical;

import biweekly.Biweekly;
import biweekly.ICalendar;
import biweekly.component.VEvent;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.URL;

public class Icalparser {


    public String parseIcal(String str) {


//parse the first iCalendar object from the data stream
        ICalendar ical = Biweekly.parse(str).first();

//or parse all objects from the data stream
//List<ICalendar> icals = Biweekly.parse(str).all();

        VEvent event = ical.getEvents().get(0);
        String summary = event.getSummary().getValue();

        return summary;
    }


    public static String readStringFromURL(String requestURL) throws IOException
    {


        StringBuilder stringBuilder=new StringBuilder("");
        URL url = new URL(requestURL);

        try(BufferedReader in = new BufferedReader(
                new InputStreamReader(
                        url.openStream()))){

            String inputLine;

            while ((inputLine = in.readLine()) != null)
                stringBuilder.append(inputLine);

        }

        catch (Exception e){return "nothing";}



        return stringBuilder.toString();




    }


}
